Bug 109663 - Add --debug & --optit flags to ccm start functiuon
Summary: Add --debug & --optit flags to ccm start functiuon
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-10 20:01 UTC by Daniel Berrange
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:28:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-11-10 20:01:32 UTC
Description of problem:
The 'ccm start' command has flags to specify which servlet container
to use. It would also benefit from flags to set common startup modes.
For example, a --debug flag would set

JRE_ARGS="-Xdebug -Xnoagent
-Xrunjdwp:transport=dt_socket,server=y,suspend=n"

or, --optit would set the args required to startup with optmize it
debugging turned on.

How reproducible:
N/A

Comment 1 Daniel Berrange 2006-09-02 17:28:24 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.